qt6-multimedia (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:29:27 -0500

qt6-multimedia (6.8.2-7) unstable; urgency=medium

  [ Pino Toscano ]
  * Use SSE2 on any i386 OS, not only on Linux.
  * Stop manually passing -DPFFFT_SIMD_DISABLE to the CFLAGS on hurd-i386:
    the build system takes care of that now.
  * Mark more Linux symbols as such.

  [ Patrick Franz ]
  * Add libpipewire-0.3-0t64 as a runtime-dependency to
    libqt6multimedia6 as libqt6multimedia6 is loading libpipewire-0.3-
    0t64 dynamically.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Mar 2025 17:56:44 +0100

qt6-multimedia (6.8.2-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Limit the libpipewire-0.3-dev build dependency as linux-any, as pipewire
    is available only on Linux currently.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Mar 2025 13:09:04 +0100

qt6-multimedia (6.8.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:50:58 +0100

qt6-multimedia (6.8.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Require SSE2 for i386 CPUs as that is now required to compile qt6-
    multimedia.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Feb 2025 12:10:45 +0100

qt6-multimedia (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add the SSE and SSE2 flags for i386 to fix build failures.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 17 Feb 2025 22:37:59 +0100

qt6-multimedia (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Feb 2025 02:19:35 +0100

qt6-multimedia (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Refresh patches.
  * Add libpipewire-0.3-dev to the B-Ds.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 22:21:12 +0100

qt6-multimedia (6.7.2-7) unstable; urgency=medium

  * Team upload.
  * Mark Linux symbols as such.
  * Add qdoc-qt6 as Build-Depends-Indep, as qdoc is needed to build the
    API documentation.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Nov 2024 10:11:03 +0100

qt6-multimedia (6.7.2-6) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Ignore QML dependency on QtQuick3DPrivate.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.
  * Move some examples from qt6-multimedia-dev to qt6-multimedia-
    examples.

 -- Patrick Franz <deltaone@debian.org>  Sat, 09 Nov 2024 11:00:02 +0100

qt6-multimedia (6.7.2-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit e788cc07221b6982e922ccb5ccd77d10e9844671 to fix
    the build of the GStreamer plugin on non-Linux OSes; patch
    upstream_GStreamer-compile-fix-for-non-linux-platforms.patch.
  * Drop the xauth, and xvfb build dependencies, as the tests are not run.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Oct 2024 08:26:38 +0100

qt6-multimedia (6.7.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:51:15 +0200

qt6-multimedia (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:22:58 +0200

qt6-multimedia (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 21:55:32 +0200

qt6-multimedia (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Sep 2024 19:32:15 +0200

qt6-multimedia (6.6.2-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Manually pass -DPFFFT_SIMD_DISABLE to the CFLAGS on hurd-i386: the output
    of "uname -m" on that architecture is not matched by the check that sets
    -DPFFFT_SIMD_DISABLE for 32bit x86 architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jul 2024 19:22:15 +0200

qt6-multimedia (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix FTBFS failure on powerpc thx to John Paul Adrian Glaubitz
    (Closes: #1057050).

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 12:13:48 +0200

qt6-multimedia (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:28:51 +0200

qt6-multimedia (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 14:45:18 +0100

qt6-multimedia (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 20:26:25 +0100

qt6-multimedia (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update build-dependencies.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6multimediaquick6.
  * Update d/copyright.
  * Build with EIGEN_DONT_VECTORIZE on powerpc to fix FTBFS, thx to John
    Paul Adrian Glaubitz (Closes: #1057050).

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:05:06 +0100

qt6-multimedia (6.4.2-11) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to build with system eigen3, thx to Christian Marillat
    (Closes: #1038988).

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 21:23:07 +0200

qt6-multimedia (6.4.2-10) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jul 2023 17:53:03 +0200

qt6-multimedia (6.4.2-9) experimental; urgency=medium

  [ Patrick Franz ]
  * Add binary package for examples.
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jul 2023 11:43:39 +0200

qt6-multimedia (6.4.2-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Do not install examples (Closes: #1041636).

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jul 2023 18:23:57 +0200

qt6-multimedia (6.4.2-7) unstable; urgency=medium

  * Team upload.
  * Properly spell the "linux-any" architecture marker for the libva-dev build
    dependency, so it actually applies to Linux architectures. This actually
    enables the VA-API support on Linux, as 6.4.2-6 meant to.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Jul 2023 07:52:22 +0200

qt6-multimedia (6.4.2-6) unstable; urgency=medium

  * Team upload.
  * Add libva-dev in order to also provide VAAPI support.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Jul 2023 11:53:07 -0300

qt6-multimedia (6.4.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove references of libqt6quick3dspatialaudio6 in qt6-multimedia-
    dev (Closes: #1035457).

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 May 2023 17:40:13 +0200

qt6-multimedia (6.4.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Jan 2023 15:48:31 -0300

qt6-multimedia (6.4.2-3) experimental; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add qt6-quick3d as a build dependency. This introduces a new binary package
    providing a QML module for Quick 3D spatial audio.

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 22 Jan 2023 23:22:21 -0300

qt6-multimedia (6.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add other optional build dependencies (Closes: #1029362):
    - libav* and libswscale-dev: provides ffmepg.
    - libpulse-dev: PulseAudio support.
    The other non -Qt realted optional build dependencies are not meant for
    Linux.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Jan 2023 18:13:42 -0300

qt6-multimedia (6.4.2-1) unstable; urgency=medium

  * Team upload.
  * Bump package version to 6.4.2-1, the tarball is the same (matches md5sum).
  * Backport fix for QTBUG-108221 as
    provide_default_implementation_for_qplatformmediadevices.patch
    (Closes: #1027894). Thanks Moritz Schlarb for the pointer.
    - Adjust symbols files. The symbols are all private and not currently
      being exported, so it is a safe change.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Jan 2023 13:01:24 -0300

qt6-multimedia (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:30 +0100

qt6-multimedia (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:57 +0100

qt6-multimedia (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Dec 2022 00:06:12 +0100

qt6-multimedia (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release 6.4.1 (Closes: #1012871).
  * Bump Qt B-Ds to 6.4.1.
  * Remove fix-build-on-unsupported-platforms.patch as it has been
    applied upstream.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 16:26:45 +0100

qt6-multimedia (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015621).
  * Fix FTCBFS, thx to Helmut Grohne: Pass -DQT_HOST_PATH (Closes:
    #1023745).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 14:22:08 +0100

qt6-multimedia (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Add patch to fix build failure on i386.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 13:51:54 +0200

qt6-multimedia (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.

  [ Lu YaNing ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Add libqt6spatialaudio6 package.
  * Add symbols file.
  * Update symbols.
  * Update d/copyright.
  * Add libqt6spatialaudio6 Depends.
  * Update Descriptions.
  * Modify the gstreamer plug-in library package location.

 -- Patrick Franz <deltaone@debian.org>  Sat, 22 Oct 2022 15:21:29 +0200

qt6-multimedia (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:50 +0200

qt6-multimedia (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 16:09:16 +0200

qt6-multimedia (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 21:58:33 +0200

qt6-multimedia (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:49 +0200

qt6-multimedia (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 00:20:26 +0200

qt6-multimedia (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:41:20 +0100

qt6-multimedia (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Dec 2021 16:22:15 +0100

qt6-multimedia (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999690)

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Nov 2021 00:39:03 +0100
